import sys

class Calculator:
    def __init__(self, operator, operand_1, operand_2):
        self.__operator = operator
        self.__operand_1 = float(operand_1)
        self.__operand_2 = float(operand_2)

        try:
            self.__res = {'+': self.__add,
                          '-': self.__sub,
                          '*': self.__mul,
                          '/': self.__div,
                          '%': self.__mod}[operator]()
        except KeyError:
            raise ValueError("Invalid operator")
        
    def compute(self):
        return self.__res

    def __add(self):
        return self.__operand_1 + self.__operand_2

    def __sub(self):
        return self.__operand_1 - self.__operand_2

    def __mul(self):
        return self.__operand_1 * self.__operand_2

    def __div(self):
        return self.__operand_1 / self.__operand_2

    def __mod(self):
        return self.__operand_1 % self.__operand_2

class Adder(Calculator):
    def __init__(self, operand_1, operand_2):
        super().__init__('+', operand_1, operand_2)

class Substractor(Calculator):
    pass

class Multiplier(Calculator):
    pass

class Divider(Calculator):
    pass

class Modulator(Calculator):
    pass




if __name__ == "__main__":
    if len(sys.argv) == 4:
        # calculus
        operator = sys.argv[1]
        operand_1 = sys.argv[2]
        operand_2 = sys.argv[3]
    elif len(sys.argv) == 1:
        # calculus2
        operator = input("Entrer un operateur : ")
        operand_1 = input("Entrer une operande : ")
        operand_2 = input("Entrer une autre operande : ")
    else:
        print("invalid number of parameters")
        exit(-1)

    cal = Calculator(operator, operand_1, operand_2)
    print(cal.compute())
    print(cal.compute())
